> ## Documentation Index
> Fetch the complete documentation index at: https://aspect.inc/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Shares

> List all shares for a resource (requires FULL_ACCESS)



## OpenAPI

````yaml /api-reference/openapi.json get /shares
openapi: 3.1.0
info:
  title: Aspect API
  description: Manage and search media in Aspect.
  version: 1.0.0
servers:
  - url: https://api.aspect.inc
security:
  - ApiKeyAuth: []
tags:
  - name: Users
  - name: API Keys
  - name: Workspaces
  - name: Projects
  - name: Directories
  - name: Assets
  - name: Attachments
  - name: Filesystem Items
  - name: Jobs
  - name: Collections
  - name: Comments
  - name: Search
  - name: Transcription
  - name: Metadata
  - name: Shares
  - name: Share Templates
  - name: Watermarks
paths:
  /shares:
    get:
      tags:
        - Shares
      summary: List Shares
      description: List all shares for a resource (requires FULL_ACCESS)
      operationId: list_shares
      parameters:
        - name: resource_id
          in: query
          required: true
          schema:
            type: string
            format: uuid
            description: Resource id being shared (collection, directory, asset)
            title: Resource Id
          description: Resource id being shared (collection, directory, asset)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShareListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ShareListResponse:
      properties:
        shares:
          items:
            $ref: '#/components/schemas/ShareResponse'
          type: array
          title: Shares
          description: List of shares
        total:
          type: integer
          title: Total
          description: Total number of shares for the resource
      type: object
      required:
        - shares
        - total
      title: ShareListResponse
      description: API response schema for listing shares
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ShareResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Share ID (used in URLs)
        resource_id:
          type: string
          format: uuid
          title: Resource Id
          description: Resource being shared
        resource_type:
          $ref: '#/components/schemas/ResourceType'
          description: Type of resource (COLLECTION, DIRECTORY, ASSET)
        resource_name:
          type: string
          title: Resource Name
          description: Name of the resource
        created_by_user_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Created By User Id
          description: User who created the share. Null when that account has been deleted
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Share name
        actions:
          type: integer
          title: Actions
          description: Allowed actions bitmap
        has_password:
          type: boolean
          title: Has Password
          description: Whether share is password protected
        expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expires At
          description: Expiration timestamp
        is_active:
          type: boolean
          title: Is Active
          description: Whether the share is active
        watermark_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Watermark Id
          description: Watermark configuration applied to share viewers
        visible_metadata_attribute_ids:
          anyOf:
            - items:
                type: string
                format: uuid
              type: array
            - type: 'null'
          title: Visible Metadata Attribute Ids
          description: Metadata attribute IDs share users can see
        created:
          type: string
          format: date-time
          title: Created
          description: Creation timestamp
        updated:
          type: string
          format: date-time
          title: Updated
          description: Last update timestamp
      type: object
      required:
        - id
        - resource_id
        - resource_type
        - resource_name
        - actions
        - has_password
        - is_active
        - created
        - updated
      title: ShareResponse
      description: API response schema for a share
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ResourceType:
      type: string
      enum:
        - workspace
        - project
        - directory
        - asset
        - symlink
        - collection
        - canvas
      title: ResourceType
      description: Types of resources in the hierarchy.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Aspect API key (sk_...) in Authorization header. 'Bearer ' optional.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.